Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 12094034: Add a link (to view Permissions) to the Extension details on chrome://extensions. (Closed)

Created:
4 years, 11 months ago by Finnur
Modified:
4 years, 11 months ago
CC:
chromium-reviews, Aaron Boodman, arv (Not doing code reviews), tfarina, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

Add a link (to view Permissions) to the Extension details on chrome://extensions. BUG=170742 TEST=None Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=179916

Patch Set 1 #

Total comments: 6

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+113 lines, -3 lines) Patch
M chrome/app/generated_resources.grd View 4 chunks +14 lines, -1 line 0 comments Download
M chrome/browser/extensions/extension_install_prompt.h View 3 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_install_prompt.cc View 9 chunks +32 lines, -1 line 0 comments Download
M chrome/browser/resources/extensions/extension_list.js View 2 chunks +8 lines, -1 line 0 comments Download
M chrome/browser/resources/extensions/extensions.html View 1 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/extensions/extension_install_dialog_view.cc View 1 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/extensions/extension_settings_handler.h View 5 chunks +12 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/extensions/extension_settings_handler.cc View 1 4 chunks +25 lines, -0 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Finnur
mpcomplete: chrome/browser/extensions/* chrome/browser/ui/views/extensions/extension_install_dialog_view.cc and generated_resources.grd jhawkins: chrome/browser/resources/* chrome/browser/ui/webui/extensions/* sky: OWNERS for extension_install_dialog_view.cc
4 years, 11 months ago (2013-01-29 13:52:18 UTC) #1
sky
LGTM https://codereview.chromium.org/12094034/diff/1/chrome/browser/ui/views/extensions/extension_install_dialog_view.cc File chrome/browser/ui/views/extensions/extension_install_dialog_view.cc (right): https://codereview.chromium.org/12094034/diff/1/chrome/browser/ui/views/extensions/extension_install_dialog_view.cc#newcode536 chrome/browser/ui/views/extensions/extension_install_dialog_view.cc:536: DCHECK((buttons & ui::DIALOG_BUTTON_CANCEL) > 0); DCHECK_GT
4 years, 11 months ago (2013-01-29 16:45:04 UTC) #2
James Hawkins
https://codereview.chromium.org/12094034/diff/1/chrome/browser/resources/extensions/extensions.html File chrome/browser/resources/extensions/extensions.html (right): https://codereview.chromium.org/12094034/diff/1/chrome/browser/resources/extensions/extensions.html#newcode108 chrome/browser/resources/extensions/extensions.html:108: href="#"></a> nit: Wrapped lines must have the closing tag ...
4 years, 11 months ago (2013-01-29 18:27:46 UTC) #3
Matt Perry
lgtm
4 years, 11 months ago (2013-01-29 22:45:20 UTC) #4
Finnur
Addressed comments. James, PTAL. https://codereview.chromium.org/12094034/diff/1/chrome/browser/ui/webui/extensions/extension_settings_handler.cc File chrome/browser/ui/webui/extensions/extension_settings_handler.cc (right): https://codereview.chromium.org/12094034/diff/1/chrome/browser/ui/webui/extensions/extension_settings_handler.cc#newcode510 chrome/browser/ui/webui/extensions/extension_settings_handler.cc:510: CHECK(false); Because this should never ...
4 years, 11 months ago (2013-01-30 18:27:32 UTC) #5
Finnur
jhawkins: ping.
4 years, 11 months ago (2013-01-31 11:45:08 UTC) #6
James Hawkins
lgtm
4 years, 11 months ago (2013-01-31 17:03:07 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/finnur@chromium.org/12094034/10
4 years, 11 months ago (2013-01-31 17:04:00 UTC) #8
commit-bot: I haz the power
4 years, 11 months ago (2013-01-31 19:05:10 UTC) #9
Message was sent while issue was closed.
Change committed as 179916

Powered by Google App Engine
This is Rietveld 408576698